%define upstream_name    App-Git-Info
%define upstream_version 0.6.1

%{?perl_default_filter}

Name:       git-info
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Displays a summary of information about the git repository
License:    GPL+ or Artistic
Group:      Development/Perl
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
shlomif@telaviv1:~/conf/trunk$ git info info
⇒ On branch master
 M shlomif-settings/home-bin-executables/bin/git-i
⇒ Remotes:
origin  git@github.com:shlomif/shlomif-computer-settings.git (fetch)
origin  git@github.com:shlomif/shlomif-computer-settings.git (push)
shlomif@telaviv1:~/conf/trunk$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/git-info
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.1-3.mga10
+ Revision: 2205845
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.6.1-2.mga9
+ Revision: 1812324
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 shlomif <shlomif> 0.6.1-1.mga8
+ Revision: 1545821
- update to 0.6.1

* Thu Feb 20 2020 shlomif <shlomif> 0.6.0-1.mga8
+ Revision: 1545727
- update to 0.6.0

* Wed Feb 19 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1543079
- Mageia 8 Mass Rebuild

* Sat Apr 27 2019 shlomif <shlomif> 0.4.1-1.mga8
+ Revision: 1395742
- New version 0.4.1

* Sat Feb 23 2019 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1369501
- New version 0.4.0

* Fri Aug 24 2018 shlomif <shlomif> 0.2.0-1.mga7
+ Revision: 1253776
- add BRs
- New version 0.2.0
- New version 0.0.2
- Fix rpmlint
- based on nopaste

